diff -Naur cracklib,2.7.orig/Makefile cracklib,2.7/Makefile
--- cracklib,2.7.orig/Makefile	Mon Jul 14 12:23:13 2003
+++ cracklib,2.7/Makefile	Mon Jul 14 12:32:38 2003
@@ -21,7 +21,7 @@
 ###
 # Set this to the path of one or more files continaing wordlists.
 
-SRCDICTS=/usr/dict/* /usr/share/dict/* cracklib-dicts/*
+SRCDICTS=cracklib-dicts/*
 
 ###
 # If you have installed the cracklib-dicts directory, use this
@@ -46,6 +46,6 @@
 	( cd cracklib && make install && exit $$? )
 	( cd util && make install && exit $$? )
 	@echo 'if "sort" dies from lack of space, see "util/mkdict"'
-	util/mkdict $(SRCDICTS) | LD_LIBRARY_PATH=cracklib util/packer $(ROOT)$(DICTPATH)
+	cp cracklib-dicts/cracklib_dict.* $(ROOT)$(libdir)
 	touch installed
 ###	@echo 'now go install passwd/passwd where you want it'
diff -Naur cracklib,2.7.orig/cracklib/Makefile cracklib,2.7/cracklib/Makefile
--- cracklib,2.7.orig/cracklib/Makefile	Mon Jul 14 12:23:13 2003
+++ cracklib,2.7/cracklib/Makefile	Mon Jul 14 12:33:37 2003
@@ -25,4 +25,5 @@
 install: $(LIB) crack.h
 	install -m 755 $(LIB).$(VERSION) $(ROOT)$(libdir)
 	ln -sf $(LIB).$(VERSION) $(ROOT)$(libdir)/$(LIB)
+	ln -sf $(LIB).$(VERSION) $(ROOT)$(libdir)/$(LIB).$(MAJOR)
 	install -m 644 crack.h $(ROOT)$(includedir)
diff -Naur cracklib,2.7.orig/util/Makefile cracklib,2.7/util/Makefile
--- cracklib,2.7.orig/util/Makefile	Mon Jul 14 12:23:13 2003
+++ cracklib,2.7/util/Makefile	Mon Jul 14 12:34:49 2003
@@ -23,19 +23,19 @@
 	touch all
 
 packer: packer.o $(LIBS)
-	cc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
+	gcc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
 
 unpacker: unpacker.o $(LIBS)
-	cc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
+	gcc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
 
 testnum: testnum.o $(LIBS)
-	cc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
+	gcc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
 
 teststr: teststr.o $(LIBS)
-	cc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
+	gcc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
 
 testlib: testlib.o $(LIBS)
-	cc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
+	gcc $(CFLAGS) -o $@ $@.o $(LDFLAGS)
 
 clean:
 	-rm *.o *~ all
